<template>
    <div>这是user
        <button @click="back" class="app">返回上一页</button>
        <button @click="next">去下一页</button>
        <button @click="getquery" >获取传参</button>
        </div>    
</template>

<script>
export default {
    name:"PageUser",
    methods:{
        back(){
            this.$router.go(-4)
        },
        next(){
            this.$router.go(1)
        },
        getquery(){
            console.log(this.$route.query.canshuming)
        }
    }
}
</script>

<style scoped>
.app{
    background-color: aqua;
}
</style>